<?xml version="1.0"?>
<xsl:stylesheet xmlns:b="SomeDocument" exclude-result-prefixes="a b abie bbie xsd" xmlns:abie="GlobalImportedAggregateSchema" xmlns:bbie="GlobalImportedBasicSchema" xmlns:a="GlobalImportedBasicSchema" version="2.0" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:udt="SchemaModule">
	<xsl:output indent="yes" method="xml"/>
	<xsl:template match="/">
		<xsl:result-document href="..\MajorLocalAll\LocalImportedSchema.xsd" indent="yes" method="xml">
			<xsl:for-each select="document('..\MajorGlobal\GlobalImportedBasicSchema.xsd')/xsd:schema">
				<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:udt="SchemaModule" xmlns="LocalImportedSchema" targetNamespace="LocalImportedSchema">
					<xsl:attribute name="elementFormDefault"><xsl:value-of select="@elementFormDefault"/></xsl:attribute>
					<xsl:attribute name="attributeFormDefault"><xsl:value-of select="@attributeFormDefault"/></xsl:attribute>
					<xsl:attribute name="version"><xsl:value-of select="@version"/></xsl:attribute>
					<xsl:for-each select="xsd:import">
						<xs:import>
							<xsl:attribute name="namespace"><xsl:value-of select="@namespace"/></xsl:attribute>
							<xsl:attribute name="schemaLocation"><xsl:value-of select="@schemaLocation"/></xsl:attribute>
						</xs:import>
					</xsl:for-each>
					<xsl:for-each select="document('..\MajorGlobal\GlobalImportedAggregateSchema.xsd')/xsd:schema">
						<xsl:for-each select="xsd:complexType">
							<xs:complexType>
								<xsl:attribute name="name"><xsl:value-of select="@name"/></xsl:attribute>
								<xsl:for-each select="xsd:sequence">
									<xs:sequence>
										<xsl:for-each select="xsd:element">
											<xs:element>
												<xsl:attribute name="name"><xsl:value-of select="substring(translate(@ref, ':', ''), string-length(substring-before(@ref, ':')) + 1)"/></xsl:attribute>
												<xsl:attribute name="minOccurs"><xsl:value-of select="@minOccurs"/></xsl:attribute>
												<xsl:variable name="this" select="substring(translate(@ref, ':', ''), string-length(substring-before(@ref, ':')) + 1)"/>
												<xsl:if test="substring(translate(@ref, ':', ''), 0, string-length(substring-before(@ref, ':')) + 1) = 'bbie'">
													<xsl:attribute name="type"><xsl:value-of select="document('..\MajorGlobal\GlobalImportedBasicSchema.xsd')/xsd:schema/xsd:element[@name = $this]/@type"/></xsl:attribute>
												</xsl:if>
												<xsl:if test="substring(translate(@ref, ':', ''), 0, string-length(substring-before(@ref, ':')) + 1) = ''">
													<xsl:attribute name="type"><xsl:value-of select="document('..\MajorGlobal\GlobalImportedAggregateSchema.xsd')/xsd:schema/xsd:element[@name = $this]/@type"/></xsl:attribute>
												</xsl:if>
											</xs:element>
										</xsl:for-each>
									</xs:sequence>
								</xsl:for-each>
							</xs:complexType>
						</xsl:for-each>
					</xsl:for-each>
					<xsl:for-each select="xsd:complexType">
						<xs:complexType>
							<xsl:attribute name="name"><xsl:value-of select="@name"/></xsl:attribute>
							<xsl:for-each select="xsd:simpleContent">
								<xs:simpleContent>
									<xsl:for-each select="xsd:extension">
										<xs:extension>
											<xsl:attribute name="base"><xsl:value-of select="@base"/></xsl:attribute>
										</xs:extension>
									</xsl:for-each>
								</xs:simpleContent>
							</xsl:for-each>
						</xs:complexType>
					</xsl:for-each>
					<xsl:for-each select="document('..\MajorGlobal\GlobalDocumentSchema.xsd')/xsd:schema">
						<xsl:for-each select="xsd:complexType">
							<xs:complexType>
								<xsl:attribute name="name"><xsl:value-of select="@name"/></xsl:attribute>
								<xsl:for-each select="xsd:sequence">
									<xs:sequence>
										<xsl:for-each select="xsd:element">
											<xs:element>
												<xsl:attribute name="name"><xsl:value-of select="substring(translate(@ref, ':', ''), string-length(substring-before(@ref, ':')) + 1)"/></xsl:attribute>
												<xsl:attribute name="minOccurs"><xsl:value-of select="@minOccurs"/></xsl:attribute>
												<xsl:attribute name="maxOccurs"><xsl:value-of select="@maxOccurs"/></xsl:attribute>
												<xsl:variable name="this" select="substring(translate(@ref, ':', ''), string-length(substring-before(@ref, ':')) + 1)"/>
												<xsl:if test="substring(translate(@ref, ':', ''), 0, string-length(substring-before(@ref, ':')) + 1) = 'bbie'">
													<xsl:attribute name="type"><xsl:value-of select="document('..\MajorGlobal\GlobalImportedBasicSchema.xsd')/xsd:schema/xsd:element[@name = $this]/@type"/></xsl:attribute>
												</xsl:if>
												<xsl:if test="substring(translate(@ref, ':', ''), 0, string-length(substring-before(@ref, ':')) + 1) = 'abie'">
													<xsl:attribute name="type"><xsl:value-of select="document('..\MajorGlobal\GlobalImportedAggregateSchema.xsd')/xsd:schema/xsd:element[@name = $this]/@type"/></xsl:attribute>
												</xsl:if>
											</xs:element>
										</xsl:for-each>
									</xs:sequence>
								</xsl:for-each>
							</xs:complexType>
						</xsl:for-each>
					</xsl:for-each>
				</xs:schema>
			</xsl:for-each>
		</xsl:result-document>
		<xsl:result-document href="..\MajorLocalAll\LocalDocumentSchema.xsd" indent="yes" method="xml">
			<xsl:for-each select="document('..\MajorGlobal\GlobalDocumentSchema.xsd')/xsd:schema">
				<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:abie="LocalImportedSchema" xmlns="SomeDocument" targetNamespace="SomeDocument">
					<xsl:attribute name="elementFormDefault"><xsl:value-of select="@elementFormDefault"/></xsl:attribute>
					<xsl:attribute name="attributeFormDefault"><xsl:value-of select="@attributeFormDefault"/></xsl:attribute>
					<xsl:attribute name="version"><xsl:value-of select="@version"/></xsl:attribute>
					<xs:import>
						<xsl:attribute name="namespace">LocalImportedSchema</xsl:attribute>
						<xsl:attribute name="schemaLocation">LocalImportedSchema.xsd</xsl:attribute>
					</xs:import>
					<xsl:for-each select="xsd:element">
						<xs:element>
							<xsl:attribute name="name"><xsl:value-of select="@name"/></xsl:attribute>
							<xsl:attribute name="type"><xsl:value-of select="concat('abie:', @type)"/></xsl:attribute>
						</xs:element>
					</xsl:for-each>
				</xs:schema>
			</xsl:for-each>
		</xsl:result-document>
	</xsl:template>
</xsl:stylesheet>
